Build error

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

Build error

Melvin Robinson
When building octave I get the following error:

error: print: no valid OpenGL offscreen context
terminate called after throwing an instance of 'octave::execution_exception'
fatal: caught signal Aborted -- stopping myself...
/bin/sh: line 1:  7419 Aborted                 (core dumped) /bin/sh run-octave --norc --silent --no-history --path /home/melrobin/octave/doc/interpreter/ --eval "interpimages ('doc/interpreter/', 'interpderiv1', 'png');"
Makefile:28154: recipe for target 'doc/interpreter/interpderiv1.png' failed
make[2]: *** [doc/interpreter/interpderiv1.png] Error 134
make[2]: Leaving directory '/home/melrobin/octave'
Makefile:26496: recipe for target 'all-recursive' failed
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory '/home/melrobin/octave'
Makefile:10190: recipe for target 'all' failed
make: *** [all] Error 2

Does anyone have any idea of what I have done wrong? 
Reply | Threaded
Open this post in threaded view
|

Re: Build error

Dmitri A. Sergatskov
On Wed, Apr 4, 2018 at 6:41 PM, Melvin Robinson <[hidden email]> wrote:
When building octave I get the following error:

error: print: no valid OpenGL offscreen context
terminate called after throwing an instance of 'octave::execution_exception'
fatal: caught signal Aborted -- stopping myself...
/bin/sh: line 1:  7419 Aborted                 (core dumped) /bin/sh run-octave --norc --silent --no-history --path /home/melrobin/octave/doc/interpreter/ --eval "interpimages ('doc/interpreter/', 'interpderiv1', 'png');"
Makefile:28154: recipe for target 'doc/interpreter/interpderiv1.png' failed
make[2]: *** [doc/interpreter/interpderiv1.png] Error 134
make[2]: Leaving directory '/home/melrobin/octave'
Makefile:26496: recipe for target 'all-recursive' failed
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory '/home/melrobin/octave'
Makefile:10190: recipe for target 'all' failed
make: *** [all] Error 2

Does anyone have any idea of what I have done wrong? 

​Somebody might have, if you provide us with more details (OS, Qt version, Nvidia graphics?).
(gzipped) configure.log could be helpful.
​Dmitri.

Reply | Threaded
Open this post in threaded view
|

Fwd: Build error

Dmitri A. Sergatskov

---------- Forwarded message ----------
From: Melvin Robinson <[hidden email]>
Date: Wed, Apr 4, 2018 at 10:13 PM
Subject: Re: Build error
To: "Dmitri A. Sergatskov" <[hidden email]>


OK thanks!  I'm building this on Fedora 25, gcc 6.4.1 with NVIDIA driver 387.34 and Qt5.  I have recently executed "make distclean" which did not help.  Attached is my config.log

On Wed, Apr 4, 2018 at 10:07 PM, Dmitri A. Sergatskov <[hidden email]> wrote:
On Wed, Apr 4, 2018 at 6:41 PM, Melvin Robinson <[hidden email]> wrote:
When building octave I get the following error:

error: print: no valid OpenGL offscreen context
terminate called after throwing an instance of 'octave::execution_exception'
fatal: caught signal Aborted -- stopping myself...
/bin/sh: line 1:  7419 Aborted                 (core dumped) /bin/sh run-octave --norc --silent --no-history --path /home/melrobin/octave/doc/interpreter/ --eval "interpimages ('doc/interpreter/', 'interpderiv1', 'png');"
Makefile:28154: recipe for target 'doc/interpreter/interpderiv1.png' failed
make[2]: *** [doc/interpreter/interpderiv1.png] Error 134
make[2]: Leaving directory '/home/melrobin/octave'
Makefile:26496: recipe for target 'all-recursive' failed
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory '/home/melrobin/octave'
Makefile:10190: recipe for target 'all' failed
make: *** [all] Error 2

Does anyone have any idea of what I have done wrong? 

​Somebody might have, if you provide us with more details (OS, Qt version, Nvidia graphics?).
(gzipped) configure.log could be helpful.
​Dmitri.


​Please keep the conversation on the mailing list.

Nothing jumps at me as obviously wrong.

Fedora 25 is quite old and unmintained (so you should really upgrade).
The latest Qt5 package for it was 5.7.1, but I think it is new enough.

I am not sure what is the status of offscreen printing with Qt5 and proprietary Nvidia driver.

Try to redo bootstrap/configure steps (or better yet re-clone, bootstrap / configure ).​

Dmitri.
--




config.zip (235K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Build error

Melvin Robinson
Oh, sorry about that...I accidentally hit just reply.  I'll upgrade for sure, but CUDA 91 only supports gcc6 and below.  I tried the bootstrap and configure steps, but will now try recloning,etc. and report back here.

On Wed, Apr 4, 2018 at 10:26 PM, Dmitri A. Sergatskov <[hidden email]> wrote:

---------- Forwarded message ----------
From: Melvin Robinson <[hidden email]>
Date: Wed, Apr 4, 2018 at 10:13 PM
Subject: Re: Build error
To: "Dmitri A. Sergatskov" <[hidden email]>


OK thanks!  I'm building this on Fedora 25, gcc 6.4.1 with NVIDIA driver 387.34 and Qt5.  I have recently executed "make distclean" which did not help.  Attached is my config.log

On Wed, Apr 4, 2018 at 10:07 PM, Dmitri A. Sergatskov <[hidden email]> wrote:
On Wed, Apr 4, 2018 at 6:41 PM, Melvin Robinson <[hidden email]> wrote:
When building octave I get the following error:

error: print: no valid OpenGL offscreen context
terminate called after throwing an instance of 'octave::execution_exception'
fatal: caught signal Aborted -- stopping myself...
/bin/sh: line 1:  7419 Aborted                 (core dumped) /bin/sh run-octave --norc --silent --no-history --path /home/melrobin/octave/doc/interpreter/ --eval "interpimages ('doc/interpreter/', 'interpderiv1', 'png');"
Makefile:28154: recipe for target 'doc/interpreter/interpderiv1.png' failed
make[2]: *** [doc/interpreter/interpderiv1.png] Error 134
make[2]: Leaving directory '/home/melrobin/octave'
Makefile:26496: recipe for target 'all-recursive' failed
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory '/home/melrobin/octave'
Makefile:10190: recipe for target 'all' failed
make: *** [all] Error 2

Does anyone have any idea of what I have done wrong? 

​Somebody might have, if you provide us with more details (OS, Qt version, Nvidia graphics?).
(gzipped) configure.log could be helpful.
​Dmitri.


​Please keep the conversation on the mailing list.

Nothing jumps at me as obviously wrong.

Fedora 25 is quite old and unmintained (so you should really upgrade).
The latest Qt5 package for it was 5.7.1, but I think it is new enough.

I am not sure what is the status of offscreen printing with Qt5 and proprietary Nvidia driver.

Try to redo bootstrap/configure steps (or better yet re-clone, bootstrap / configure ).​

Dmitri.
--




Reply | Threaded
Open this post in threaded view
|

Re: Build error

Melvin Robinson
Unfortunately recloning did not help and something else is broken.  This happened fairly recently.  I'll try to track down the changeset.

On Wed, Apr 4, 2018 at 10:29 PM, Melvin Robinson <[hidden email]> wrote:
Oh, sorry about that...I accidentally hit just reply.  I'll upgrade for sure, but CUDA 91 only supports gcc6 and below.  I tried the bootstrap and configure steps, but will now try recloning,etc. and report back here.

On Wed, Apr 4, 2018 at 10:26 PM, Dmitri A. Sergatskov <[hidden email]> wrote:

---------- Forwarded message ----------
From: Melvin Robinson <[hidden email]>
Date: Wed, Apr 4, 2018 at 10:13 PM
Subject: Re: Build error
To: "Dmitri A. Sergatskov" <[hidden email]>


OK thanks!  I'm building this on Fedora 25, gcc 6.4.1 with NVIDIA driver 387.34 and Qt5.  I have recently executed "make distclean" which did not help.  Attached is my config.log

On Wed, Apr 4, 2018 at 10:07 PM, Dmitri A. Sergatskov <[hidden email]> wrote:
On Wed, Apr 4, 2018 at 6:41 PM, Melvin Robinson <[hidden email]> wrote:
When building octave I get the following error:

error: print: no valid OpenGL offscreen context
terminate called after throwing an instance of 'octave::execution_exception'
fatal: caught signal Aborted -- stopping myself...
/bin/sh: line 1:  7419 Aborted                 (core dumped) /bin/sh run-octave --norc --silent --no-history --path /home/melrobin/octave/doc/interpreter/ --eval "interpimages ('doc/interpreter/', 'interpderiv1', 'png');"
Makefile:28154: recipe for target 'doc/interpreter/interpderiv1.png' failed
make[2]: *** [doc/interpreter/interpderiv1.png] Error 134
make[2]: Leaving directory '/home/melrobin/octave'
Makefile:26496: recipe for target 'all-recursive' failed
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory '/home/melrobin/octave'
Makefile:10190: recipe for target 'all' failed
make: *** [all] Error 2

Does anyone have any idea of what I have done wrong? 

​Somebody might have, if you provide us with more details (OS, Qt version, Nvidia graphics?).
(gzipped) configure.log could be helpful.
​Dmitri.


​Please keep the conversation on the mailing list.

Nothing jumps at me as obviously wrong.

Fedora 25 is quite old and unmintained (so you should really upgrade).
The latest Qt5 package for it was 5.7.1, but I think it is new enough.

I am not sure what is the status of offscreen printing with Qt5 and proprietary Nvidia driver.

Try to redo bootstrap/configure steps (or better yet re-clone, bootstrap / configure ).​

Dmitri.
--





Reply | Threaded
Open this post in threaded view
|

Re: Build error

Dmitri A. Sergatskov


On Wed, Apr 4, 2018 at 10:39 PM, Melvin Robinson <[hidden email]> wrote:
Unfortunately recloning did not help and something else is broken.  This happened fairly recently.  I'll try to track down the changeset.


​Do you really want a dev  (4.5.0+) version? If 4.4.0 pre-realease is good enough you
may want to try
hg pull
hg update stable​
 

​(then bootstrap / configure / etc​... as usual)

Dmitri.
--


Reply | Threaded
Open this post in threaded view
|

Re: Build error

Melvin Robinson
I sort of like to build bleeding edge versions in hopes of gaining enough knowledge to contribute one day.  Maybe tracking this problem down is a good start. 

On Wed, Apr 4, 2018 at 10:46 PM, Dmitri A. Sergatskov <[hidden email]> wrote:


On Wed, Apr 4, 2018 at 10:39 PM, Melvin Robinson <[hidden email]> wrote:
Unfortunately recloning did not help and something else is broken.  This happened fairly recently.  I'll try to track down the changeset.


​Do you really want a dev  (4.5.0+) version? If 4.4.0 pre-realease is good enough you
may want to try
hg pull
hg update stable​
 

​(then bootstrap / configure / etc​... as usual)

Dmitri.
--